# -*- coding: utf-8 -*-
from Preset.Model.GameObject import registerGenericClass
from Preset.Model.PartBase import PartBase


@registerGenericClass("UILogicPart")
class UILogicPart(PartBase):
    def __init__(self):
        PartBase.__init__(self)
        self.name = "界面服务端监听"

    def OnRecvTitle(self, args):
        print "OnRecvTitle", args
        self.SetCommand("/title @a title {}".format(args["text"]))

    def InitServer(self):
        """
        @description 服务端的零件对象初始化入口
        """
        self.ListenSelfEvent("TitleEvent", self, self.OnRecvTitle)
